org.apache.olingo.odata2.api.client.batch

## Class BatchChangeSet

- java.lang.Object
- - org.apache.olingo.odata2.api.client.batch.BatchChangeSet

- All Implemented Interfaces:
    BatchPart

      public abstract class BatchChangeSet
      extends Object
      implements BatchPart

  A BatchChangeSet

  BatchChangeSet represents a Change Set, that consists of change requests

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BatchChangeSet.BatchChangeSetBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchChangeSet()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `add(BatchChangeSetPart request)` Add a new change request to the ChangeSet
    `abstract List<BatchChangeSetPart>` | `getChangeSetParts()` Get change requests
    `static BatchChangeSet.BatchChangeSetBuilder` | `newBuilder()` Get new builder instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchChangeSet

          public BatchChangeSet()

  - ### Method Detail

    - #### add

          public abstract void add(BatchChangeSetPart request)

      Add a new change request to the ChangeSet
      Parameters:
        `request` - `BatchChangeSetPart`

    - #### getChangeSetParts

          public abstract List<BatchChangeSetPart> getChangeSetParts()

      Get change requests
      Returns:
        a list of `BatchChangeSetPart`

    - #### newBuilder

          public static BatchChangeSet.BatchChangeSetBuilder newBuilder()

      Get new builder instance
      Returns:
        `BatchChangeSet.BatchChangeSetBuilder`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.